package J20250716.demo04_final;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02
 * @description
 * @create 2025/7/16
 */
public class Demo02 {
    public static void main(String[] args) {
        //对象是使用final修饰了
        final Person p=new Person("张三",25);
        //p=new Person("李四",30);    用一个新的对象，替换了原来的对象。报错
        System.out.println(p.getName());
        p.setName("李四");
        //因为final修饰的是常量，不可改变。
        //p=new Person("李四",30);其实是把对象的地址赋值给p。
        //final修饰的常量不能改变地址只。但是该地址所对应的内存里的内容是可以改变的。

    }

}
